# Caution: This file is part of the command scripting implementation. Do not edit or move
# this file because this may cause commands and scripts to fail. Do not
# try to reuse the logic in this file or keep copies of this file because this
# could cause your scripts to fail when you upgrade to a different version.
"""
This script holds the commands to export/import groupspace/templates for WebCenter application.
@author Jaya Chaudhary
"""
import ora_mbs
import javax.management as management
import jarray
from java.lang import Object
from java.lang import String
from java.lang import Exception
from javax.management import Attribute
import WebCenterHandlerHelper as helper
import LifecycleHandler as lifecyclehandler
import re

# Code for detecting syntax error, especially missing colons
def expimpCheck():
    print 'File not broken'

# Export GroupSpace (s) command
def exportGroupSpaces(appName, fileName, names=None, exportCustomizations=1,
                      exportSecurity=0, exportData=1, forceOffline=0, exportContentDirectory=0, server='',applicationVersion=''):
    if names:
        nameArr = re.split(',', names.replace(' ', ''))

        if not exportSecurity:
            helper.wcPrintMessage('GS_SEC_POLICY_NOT_EXPORTED')
        # Call the _doExport method from lifecycle wlst
        lifecyclehandler._doExport(appName, fileName, nameArr, 1, exportCustomizations, 0,
                  exportSecurity, exportData, 1, forceOffline, exportContentDirectory,  None, server, applicationVersion)
    else:
        helper.wcPrintMessage('GS_EXP_EXAMPLE')

# Export GroupSpace (s) template command
def exportGroupSpaceTemplates(appName, fileName, names=None, exportContentDirectory=0, server='',applicationVersion=''):
    groupSpaceTemplates = []
    if names:
        nameArr = re.split(',', names.replace(' ', ''))
        for i in range (len(nameArr)):
            groupSpaceTemplates.append('spacetemplate/' + nameArr[i])
        # Call the _doExport method from lifecycle wlst
        lifecyclehandler._doExport(appName, fileName, groupSpaceTemplates, 1, 1, 1, 1, 1, 1, 0, exportContentDirectory, None,
                  server, applicationVersion)
    else:
        helper.wcPrintMessage('GS_TEMP_EXP_EXAMPLE')

# Export Site Resource(s) command
def exportSiteResources(appName, fileName, scopeName, resourceType, resourceGUID, exportContentDirectory=0, server='',applicationVersion=''):
    if scopeName is None:
      scopeName = 'defaultScope'
    if resourceGUID:
        resGuidArr = re.split(',', resourceGUID.replace(' ', ''))
        # Call the _doSiteResExport method from lifecycle wlst
        lifecyclehandler._doSiteResExport(appName, fileName, scopeName, resourceType, resGuidArr, exportContentDirectory, server, applicationVersion)
    else:
        helper.wcPrintMessage('SITERES_EXP_EXAMPLE')

# Import GroupSpace(s)/templates command
def importGroupSpaces(appName, fileName, exportCustomizations=1, exportSecurity=1, exportData=1, forceOffline=0, parentScope='', overwriteContentDirectory=0, server='',applicationVersion=''):
    # Call the _doImport method from lifecycle wlst
    lifecyclehandler._doScopeImport(appName, fileName, exportCustomizations, exportSecurity, exportData, forceOffline, parentScope, None, None, overwriteContentDirectory, server, applicationVersion)


# Import Site Resource(s) command
def importSiteResources(appName, fileName, scopeName, resourceType, overwriteContentDirectory=0, server='',applicationVersion=''):
    # Call the _doSiteResImport method from lifecycle wlst
    if scopeName is None:
      scopeName = 'defaultScope'
    lifecyclehandler._doScopeImport(appName, fileName, None, None, None, None, None, scopeName, resourceType, overwriteContentDirectory, server, applicationVersion)

# Import Site Resource(s) command
def importSiteResourcesInternal(appName, fileName, scopeGUID, resourceType, overwriteContentDirectory=0, server='',applicationVersion=''):
    # Call the _doSiteResImport method from lifecycle wlst
    lifecyclehandler._doImportInternal(appName, fileName, None, None, None, None, None, scopeGUID, resourceType, overwriteContentDirectory, server, applicationVersion)
