# Copyright (c) 2008, 2011, Oracle and/or its affiliates. All rights reserved. 
import WebCenterWLSTHelper as wlsthelper
wlsthelper.loadHandler('WebCenterWLSTHelper')
wlsthelper.loadHandler('CommunityHandler')
import CommunityHandler as communityhandler

def ceCheck():
    communityhandler.ceCheck()

def createCommunityEventConnection(appName,name, adapterName='',default=0,server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    communityhandler.createCommunityEventConnection(appName,name, adapterName,default,server,applicationVersion)
    webcenterRestore(origDirectory)

def setCommunityEventConnection(appName,name,adapterName,default=0,server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    communityhandler.setCommunityEventConnection(appName,name,adapterName,default,server,applicationVersion)
    webcenterRestore(origDirectory)

def listCommunityEventConnections(appName,verbose=0,name='',server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    communityhandler.listCommunityEventConnections(appName,verbose,name,server,applicationVersion)
    webcenterRestore(origDirectory)

def setDefaultCommunityEventConnection(appName, connectionName,server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    communityhandler.setDefaultCommunityEventConnection(appName, connectionName,server,applicationVersion)
    webcenterRestore(origDirectory)

def listDefaultCommunityEventConnection(appName,server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    communityhandler.listDefaultCommunityEventConnection(appName,server,applicationVersion)
    webcenterRestore(origDirectory)

        
def importTranslations(appName,server,mdsRootDir,applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)  
    try:
        importMetadata(application=appName,server=server,fromLocation=mdsRootDir,docs='/oracle/webcenter/translations/scopedMD/**')
        communityhandler.importTranslations(appName,server,mdsRootDir,applicationVersion)
    except Exception, e:
        helper.wcPrintExceptionMessage(e.getMessage())
    webcenterRestore(origDirectory)

def setSpaceState(appName,spaceName, offline, server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    communityhandler.setSpaceState(appName,spaceName, offline,server,applicationVersion)
    webcenterRestore(origDirectory)

def refreshGroupSpaceCache(appName,spaceNames=None, syncMode=1,updateType='security',cleanCache=0, server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    communityhandler.refreshGroupSpaceCache(appName,spaceNames, syncMode, updateType, cleanCache, server,applicationVersion)
    webcenterRestore(origDirectory)

def synchronizeUserInformation(appName,operationType,fileName,component,dbVendor,dbHostNPort,dbName,dbSchemaName,verbose):
    server =''
    applicationVersion=''
    origDirectory = webcenterInitialize(server,applicationVersion)
    syncUserHandler.synchronizeUserInformation(appName,operationType,fileName,component,dbVendor,dbHostNPort,dbName,dbSchemaName,verbose)
    webcenterRestore(origDirectory)

def startSyncProfiles(appName='webcenter',server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    communityhandler.startSyncProfiles(appName,server,applicationVersion)
    webcenterRestore(origDirectory)

def stopSyncProfiles(appName='webcenter',server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    communityhandler.stopSyncProfiles(appName,server,applicationVersion)
    webcenterRestore(origDirectory)

def isSyncProfilesRunning(appName='webcenter',server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    communityhandler.isSyncProfilesRunning(appName,server,applicationVersion)
    webcenterRestore(origDirectory)

def syncProfile(appName,userName,server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    communityhandler.syncProfile(appName,userName,server,applicationVersion)
    webcenterRestore(origDirectory)

def setProfileCacheNumberOfObjects(appName,noOfObjects,server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    communityhandler.setProfileCacheNumberOfObjects(appName,noOfObjects,server,applicationVersion)
    webcenterRestore(origDirectory)

def setProfileSyncLDAPReadBatchSize(appName,batchSize,server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    communityhandler.setProfileSyncLDAPReadBatchSize(appName,batchSize,server,applicationVersion)
    webcenterRestore(origDirectory)

def setProfileCacheTimeToLive(appName,timeToLive,server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    communityhandler.setProfileCacheTimeToLive(appName,timeToLive,server,applicationVersion)
    webcenterRestore(origDirectory)

def printProfileConfig(appName,server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    communityhandler.printProfileConfig(appName,server,applicationVersion)
    webcenterRestore(origDirectory)

def refreshSpaceTemplateCache(appName,spaceTemplateNames=None, syncMode=1,updateType='security',cleanCache=0, server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    communityhandler.refreshSpaceTemplateCache(appName,spaceTemplateNames, syncMode, updateType, cleanCache, server,applicationVersion)
    webcenterRestore(origDirectory)
